Bug 1409745 - Registration to engine is failed with rhvh4.1
Summary: Registration to engine is failed with rhvh4.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-node
Classification: oVirt
Component: Installation & Update
Version: 4.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent vote
Target Milestone: ovirt-4.1.0-rc
: 4.1
Assignee: Ryan Barry
QA Contact: dguo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 08:46 UTC by dguo
Modified: 2017-02-01 14:46 UTC (History)
13 users (show)

Fixed In Version: ovirt-node-ng-4.1.0-0.20170104.1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:46:48 UTC
oVirt Team: Node
rule-engine: ovirt-4.1+
rule-engine: blocker+
rule-engine: planning_ack+
fdeutsch: devel_ack+
cshao: testing_ack+


Attachments (Terms of Use)
engine logs (4.59 MB, application/x-gzip)
2017-01-03 08:46 UTC, dguo
no flags Details

Description dguo 2017-01-03 08:46:19 UTC
Created attachment 1236804 [details]
engine logs

Description of problem:
Failed to add rhvh 4.1(20161222) to engine

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.1-20161222.0.x86_64
imgbased-0.8.10-0.1.el7ev.noarch
vdsm-4.19.1-1.el7ev.x86_64
oVirt Engine Version: 4.1.0-0.1.beta1.20161201090635.el7.centos 

How reproducible:
100%

Steps to Reproduce:
1.Install redhat-virtualization-host-4.1-0.20161222.0 via anaconda GUI
2.After the installation, add rhvh to engine

Actual results:
1.After step #2, the registration is failed with the following error:
Host dguo_local installation failed. Unexpected error during execution: usage: 
nodectl [-h] [--version] [--debug] [--machine-readable]
               {info,rollback,check,motd,init,generate-banner} ...
nodectl: error: unrecognized arguments: --oneline


Expected results:
1.After step #2, the registration can be successful

Additional info:

Comment 1 dguo 2017-01-03 08:47:32 UTC
This is separated from Bug 1408941

Comment 2 Yuval Turgeman 2017-01-04 10:57:38 UTC
I believe this was solved in bug 1409388

Comment 3 dguo 2017-01-09 06:34:30 UTC
Had used rhvh-4.1-0.20170104.0 to register to engine, and got verified.


Note You need to log in before you can comment on or make changes to this bug.